Bug 2266468 (CVE-2021-46955) - CVE-2021-46955 kernel: openvswitch: fix stack OOB read while fragmenting IPv4 packets
Summary: CVE-2021-46955 kernel: openvswitch: fix stack OOB read while fragmenting IPv4...
Keywords:
Status: NEW
Alias: CVE-2021-46955
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2266469
Blocks: 2266459
TreeView+ depends on / blocked
 
Reported: 2024-02-27 22:41 UTC by Nick Tait
Modified: 2024-06-09 13:03 UTC (History)
49 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description Nick Tait 2024-02-27 22:41:57 UTC
In the Linux kernel, the following vulnerability has been resolved:

openvswitch: fix stack OOB read while fragmenting IPv4 packets

The Linux kernel CVE team has assigned CVE-2021-46955 to this issue.

Upstream advisory:
https://lore.kernel.org/linux-cve-announce/2024022718-CVE-2021-46955-b50b@gregkh/T/#u

Comment 1 Nick Tait 2024-02-27 22:42:37 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2266469]

Comment 6 Justin M. Forbes 2024-02-28 19:14:50 UTC
This was fixed for Fedora with the 5.12.3 stable kernel update.

Comment 9 Alex 2024-06-09 13:03:42 UTC
The result of automatic check (that is developed by Alexander Larkin) for this CVE-2021-46955 is: 	SKIP	The Fixes patch not applied yet, so unlikely that actual: d52e5a7e7ca49457dd31fc8b42fb7c0d58a31221	YES			NO	YES	unknown (where first YES/NO value means if related sources built).


Note You need to log in before you can comment on or make changes to this bug.